
import "./index.css";
interface TypewriterProps{
  value: string;
  color?: string;
}
export default function Typewriter({ value, color }: TypewriterProps) {

  return (
    <div className="typewriter">
      <div>
        <p style={{ "--chars": value.length, color: color ? color : "#00AA24" } as React.CSSProperties }>{value}</p>
      </div>
    </div>
  )
}
